package com.ms.biz.service.impl;

import com.ms.dal.entity.DoudianTradeMsgBuffer;
import com.ms.biz.service.DoudianTradeMsgBufferService;
import com.ms.dal.mapper.DoudianTradeMsgBufferMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 *
 */
@Service
public class DoudianTradeMsgBufferServiceImpl implements DoudianTradeMsgBufferService{

    @Autowired
    private DoudianTradeMsgBufferMapper doudianTradeMsgBufferMapper;

    @Override
    public int deleteByPrimaryKey(Long id) {
        return doudianTradeMsgBufferMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(DoudianTradeMsgBuffer record) {
        return doudianTradeMsgBufferMapper.insert(record);
    }

    @Override
    public int insertSelective(DoudianTradeMsgBuffer record) {
        return doudianTradeMsgBufferMapper.insertSelective(record);
    }

    @Override
    public DoudianTradeMsgBuffer selectByPrimaryKey(Long id) {
        return doudianTradeMsgBufferMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(DoudianTradeMsgBuffer record) {
        return doudianTradeMsgBufferMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(DoudianTradeMsgBuffer record) {
        return doudianTradeMsgBufferMapper.updateByPrimaryKey(record);
    }

}




